Summary:	Open source implementation of a 16-bit x86 BIOS
Summary(pl.UTF-8):	Implementacja 16-bitowego BIOS-u x86 o otwartych źródłach
Name:		seabios
Version:	1.16.3
Release:	1%{?tld}
License:	LGPL v3
Group:		Applications/System
Source0:	https://www.seabios.org/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	9f854ca1ae32bfdc081377717a18e1b3
URL:		https://www.seabios.org/SeaBIOS
BuildRequires:	acpica
%ifnarch %{ix86} %{x8664} x32
# i386 crosscompiler could be used as well, but we have only x86_64 as more universal
BuildRequires:	crossx8664-binutils
BuildRequires:	crossx8664-gcc
%endif
BuildRequires:	python3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages	0

%description
SeaBIOS is an open source implementation of a 16-bit X86 BIOS. SeaBIOS
can run in an emulator or it can run natively on X86 hardware with the
use of coreboot.

SeaBIOS is the default BIOS for QEMU, KVM and Xen HVM.

%description -l pl.UTF-8
SeaBIOS to mająca otwarte źródła implementacją 16-bitowego BIOS-u X86.
SeaBIOS może działać pod kontrolą emulatora lub natywnie na sprzęcie
X86 przy użyciu bootloadera coreboot.

SeaBIOS to domyślny BIOS dla narzędzi QEMU, KVM i Xen HVM.

%prep
%setup -q

%build
%{__make} \
	V=1 PYTHON=%{__python3} \
%ifnarch %{ix86} %{x8664} x32
	CROSS_PREFIX=x86_64-tld-linux
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

install out/bios.bin $RPM_BUILD_ROOT%{_datadir}/%{name}/bios.bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README docs/{Debugging.md,Mailinglist.md,Memory_Model.md,Releases.md,Runtime_config.md,SeaBIOS.md,SeaVGABIOS.md}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/bios.bin
%changelog
* Wed Apr 24 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/seabios.git;a=log;h=master

* Wed Apr 24 2024 Marcin Krol <hawk@tld-linux.org> 981b495
- updated to 1.16.3

* Thu Jul 20 2023 Marcin Krol <hawk@tld-linux.org> c0e0895
- 1.16.2 from PLD

* Sun Dec 15 2019 Marcin Krol <hawk@tld-linux.org> 39d903b
- updated to 1.13.0

* Mon Aug 26 2019 Marcin Krol <hawk@tld-linux.org> 00e04df
- updated to 1.12.0

* Wed Apr 11 2018 Marcin Krol <hawk@tld-linux.org> b890b63
- updated to 1.11.0

* Sat Feb 11 2017 Marcin Krol <hawk@tld-linux.org> 0ed89fa
- updated to 1.10.1

* Fri Mar 25 2016 Marcin Krol <hawk@tld-linux.org> fcd40ab
- updated to 1.9.1

* Tue Aug 25 2015 Marcin Krol <hawk@tld-linux.org> c07521a
- correct spec for 1.8.2

* Tue Aug 25 2015 Marcin Krol <hawk@tld-linux.org> e5fb81a
- from PLD, updated to 1.8.2, dropped binary - we are x86 only distro

